Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
[Java] Class GroovyClassLoader.InnerLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  groovy.lang.GroovyClassLoader
                      groovy.lang.GroovyClassLoader.InnerLoader

    public static class GroovyClassLoader.InnerLoader
    extends GroovyClassLoader

Field Summary

Fields inherited from class GroovyClassLoader
classCache, sourceCache

Constructor Summary
`GroovyClassLoader.InnerLoader(GroovyClassLoader delegate)`

Method Summary
`void` | `addClasspath(java.lang.String path)`
`void` | `addURL(java.net.URL url)`
`void` | `clearCache()`
`java.net.URL` | `findResource(java.lang.String name)`
`java.util.Enumeration` | `findResources(java.lang.String name)`
`java.lang.Class[]` | `getLoadedClasses()`
`java.net.URL` | `getResource(java.lang.String name)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`GroovyResourceLoader` | `getResourceLoader()`
`long` | `getTimeStamp()`
`java.net.URL[]` | `getURLs()`
`java.lang.Class` | `loadClass(java.lang.String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)`
`java.lang.Class` | `parseClass(GroovyCodeSource codeSource, boolean shouldCache)`
`void` | `setResourceLoader(GroovyResourceLoader resourceLoader)`

Methods inherited from class GroovyClassLoader
addClasspath, addURL, clearCache, createCollector, createCompilationUnit, defineClass, defineClass, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile

Methods inherited from class java.net.URLClassLoader
java.net.URLClassLoader#findResource(java.lang.String), java.net.URLClassLoader#findResources(java.lang.String), java.net.URLClassLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), java.net.URLClassLoader#newInstance([Ljava.net.URL;), java.net.URLClassLoader#getResourceAsStream(java.lang.String), java.net.URLClassLoader#close(), java.net.URLClassLoader#getURLs(), java.net.URLClassLoader#loadClass(java.lang.String), java.net.URLClassLoader#getSystemClassLoader(), java.net.URLClassLoader#getResources(java.lang.String), java.net.URLClassLoader#getSystemResources(java.lang.String), java.net.URLClassLoader#getParent(), java.net.URLClassLoader#setDefaultAssertionStatus(boolean), java.net.URLClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#clearAssertionStatus(), java.net.URLClassLoader#getResource(java.lang.String), java.net.URLClassLoader#getSystemResourceAsStream(java.lang.String), java.net.URLClassLoader#getSystemResource(java.lang.String), java.net.URLClassLoader#wait(long), java.net.URLClassLoader#wait(long, int), java.net.URLClassLoader#wait(), java.net.URLClassLoader#equals(java.lang.Object), java.net.URLClassLoader#toString(), java.net.URLClassLoader#hashCode(), java.net.URLClassLoader#getClass(), java.net.URLClassLoader#notify(), java.net.URLClassLoader#notifyAll()

Constructor Detail

### GroovyClassLoader.InnerLoader

    public GroovyClassLoader.InnerLoader(GroovyClassLoader delegate)

Method Detail

### addClasspath

    public void addClasspath(java.lang.String path)

### addURL

    public void addURL(java.net.URL url)

### clearCache

    public void clearCache()

### findResource

    public java.net.URL findResource(java.lang.String name)

### findResources

    public java.util.Enumeration findResources(java.lang.String name)

### getLoadedClasses

    public java.lang.Class[] getLoadedClasses()

### getResource

    public java.net.URL getResource(java.lang.String name)

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

### getResourceLoader

    public GroovyResourceLoader getResourceLoader()

### getTimeStamp

    public long getTimeStamp()

### getURLs

    public java.net.URL[] getURLs()

### loadClass

    public java.lang.Class loadClass(java.lang.String name, boolean lookupScriptFiles, boolean preferClassOverScript, boolean resolve)

### parseClass

    public java.lang.Class parseClass(GroovyCodeSource codeSource, boolean shouldCache)

### setResourceLoader

    public void setResourceLoader(GroovyResourceLoader resourceLoader)

Groovy Documentation